package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintSeverityScale;

public interface MaintSeverityScaleService {
	
void createMaintSeverityScale(MaintSeverityScale maintSeverityScale)throws Exception;
	
	void updateMaintSeverityScale(MaintSeverityScale maintSeverityScale);
	
	MaintSeverityScale getSeverityBySeverityCodeAndSeverityOfType(Integer legalEntityCode,String severityScaleCode,
			String severityScaleType,String status);
	
	List<MaintSeverityScale> getSeverityBySeverityOfType(Integer legalEntityCode ,String severityScaleType);
	
	DataTableResponse getAllMaintSeverityScale(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintSeverityScale(Integer legalEntityCode, String severityScaleCode, String severityScaleType);
	
	Boolean validateScore(MaintSeverityScale maintSeverityScale);
	
	List<MaintSeverityScale> getMaintProbabilityScale(Integer legalEntityCode);
}
